> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mediamagicverify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pass Rate Trend

> Share of submissions that completed with zero issues, per day.



## OpenAPI

````yaml /openapi.json get /api/integrations/insights/submissions/pass-rate
openapi: 3.1.0
info:
  title: Midmarket Integrations API
  description: An API for Midmarket integrations.
  version: 0.1.0
servers:
  - url: https://mm-midmarket-integrations-api-preview.azurewebsites.net
    description: preview
security: []
paths:
  /api/integrations/insights/submissions/pass-rate:
    get:
      tags:
        - insights
      summary: Pass Rate Trend
      description: Share of submissions that completed with zero issues, per day.
      operationId: pass_rate_trend_api_integrations_insights_submissions_pass_rate_get
      parameters:
        - name: days
          in: query
          required: false
          schema:
            type: integer
            maximum: 365
            minimum: 1
            default: 28
            title: Days
        - name: sidekickId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Sidekickid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PassRatePointSchema'
                title: >-
                  Response Pass Rate Trend Api Integrations Insights Submissions
                  Pass Rate Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - apiKey: []
components:
  schemas:
    PassRatePointSchema:
      properties:
        date:
          type: string
          title: Date
        rate:
          type: number
          title: Rate
        total:
          type: integer
          title: Total
        passed:
          type: integer
          title: Passed
      type: object
      required:
        - date
        - rate
        - total
        - passed
      title: PassRatePointSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'Workspace-scoped API key. Format: sk_live_{64 hex chars}'
      x-default: sk_live_your_api_key_here

````